/*
This program is confidential and proprietary to MRJ Technology Solutions
and may not be reproduced, published or disclosed to others without
written authorization from MRJ.

Copyright (c) 1998 MRJ Technology Solutions, Inc. All Rights Reserved.

This program is derived from prior work some of which was originally
written as a joint project between the Numerical Aerospace Simulation
(NAS) Systems Division of NASA Ames Research Center and the National
Energy Research Supercomputer Center (NERSC) of Lawrence Livermore
National Laboratory.
*/
/*
 * tracking.h - header file for maintaining job tracking records
 *
 * These are linked into the server structure.  Entries are added or
 * updated upon the receipt of Track Job Requests and are used to
 * satisfy Locate Job requests.
 *
 * The main data is kept in the form of the track batch request so
 * that copying is easy.
 *
 * Other required header files: 
 *	"server_limits.h"
 */

#define PBS_TRACK_MINSIZE   100	/* mininum size of buffer in records */
#define PBS_SAVE_TRACK_TM   300	/* time interval between saves of track data */

struct tracking {
	time_t	 tk_mtime;	/* time this entry modified */
	int      tk_hopcount;	
	char     tk_jobid[PBS_MAXSVRJOBID+1];
	char     tk_location[PBS_MAXDEST+1];
	char     tk_state;
};

extern void track_save A_((struct work_task *));
